/**
 * Message resource for apeman project.
 * @module apemanlocale
 * @version 5.0.7
 */

'use strict';

var pkg = require('../package.json');
var print = require('./print');
var validate = require('./validate');
var apemanlocale = require('./apemanlocale');
var defineLocale = require('./localing/define_locale');

var lib = apemanlocale.bind(undefined);

Object.assign(lib, {
  print: print,
  validate: validate,
  apemanlocale: apemanlocale,
  version: pkg.version,
  locale: defineLocale
});

module.exports = lib;