/**
 * Print locales settings.
 * @function print
 * @param {object} locales - locales settings to print.
 */

'use strict';

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol ? "symbol" : typeof obj; };

var colorprint = require('colorprint');
var yaml = require('js-yaml');

function _normalize(data) {
  switch (typeof data === 'undefined' ? 'undefined' : _typeof(data)) {
    case 'number':
    case 'string':
    case 'boolean':
    case 'undefined':
      return data;
    default:
      var values = {};
      var _iteratorNormalCompletion = true;
      var _didIteratorError = false;
      var _iteratorError = undefined;

      try {
        for (var _iterator = Object.keys(data)[Symbol.iterator](), _step; !(_iteratorNormalCompletion = (_step = _iterator.next()).done); _iteratorNormalCompletion = true) {
          var key = _step.value;

          var value = _normalize(data[key]);
          if (typeof value === 'undefined') {
            continue;
          }
          values[key] = value;
        }
      } catch (err) {
        _didIteratorError = true;
        _iteratorError = err;
      } finally {
        try {
          if (!_iteratorNormalCompletion && _iterator.return) {
            _iterator.return();
          }
        } finally {
          if (_didIteratorError) {
            throw _iteratorError;
          }
        }
      }

      var isEmpty = Object.keys(values).length === 0;
      if (isEmpty) {
        return undefined;
      }
      return values;
  }
}

/** @lends print */
function print(locales) {
  var values = _normalize(locales);
  colorprint.debug('');
  colorprint.debug('Locale Settings');
  colorprint.debug('------------');
  var msg = yaml.safeDump(values);
  colorprint.debug(colorprint.colors.blackBright(msg));
  colorprint.debug('');
  colorprint.debug('');
}

module.exports = print;